#
# $Id: ssimp.spec,v 1.4 2005-09-07 14:45:37 carzanig Exp $
#
%define name	ssimp
%define ver	%version
%define rel	1

Summary:   Siena Predicate Simplification Component
Name:      %{name}
Version:   %{ver}
Release:   %rel
License:   GPL
Group:     Applications/Internet
Source:    http://www.cs.colorado.edu/serl/siena/forwarding/%{name}-%{ver}.tar.gz
URL:       http://www.cs.colorado.edu/serl/siena/forwarding/
Packager:  Matthew J. Rutherford <rutherfo@cs.colorado.edu>

BuildRoot: %{_topdir}/rpmroot

%description 

The Siena simplification component implemnets an algorithm that
simplifies predicates by applying heuristics to remove constraints
that are covered by other, broader, constraints, and by removing
filters that can be determined to be always false.

%prep
rm -rf $RPM_BUILD_ROOT

%setup 

%build

CFLAGS="$RPM_OPT_FLAGS" ./configure "--prefix=/usr" --disable-dependency-tracking
make all

%install

make DESTDIR="$RPM_BUILD_ROOT" install_doc=no install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,755)
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog
#
# doc is the documentation directory, and html is the value of
# HTML_OUTPUT in *both* doc/Makefile.am and doc/doxygen.conf.in
# 
%doc doc/html
%attr(644,root,root) /usr/include/siena/*
%attr(755,root,root) /usr/lib/lib*.so*
%attr(644,root,root) /usr/lib/*.*a

%post
ldconfig

%postun
ldconfig

